fse.vo

## Class AccessLogQuery

- java.lang.Object
- - fse.vo.AccessLogQuery

-     public class AccessLogQuery
      extends java.lang.Object

  Contiene i criteri di ricerca sugli accessi al fascicoli di un assistito

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Date` | `dateFrom`
    `private java.util.Date` | `dateTo`
    `private java.util.List<java.lang.String>` | `operations`
    `private java.lang.String` | `patientCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateFrom()` Restituisce la data di inizio dell'intervallo di ricerca
    `java.util.Date` | `getDateTo()` Restituisce la data di fine dell'intervallo di ricerca
    `java.util.List<java.lang.String>` | `getOperations()` Restituisce la lista delle operazioni che si sta cercando.
    `java.lang.String` | `getPatientCode()` Restituisce il codice fiscale del paziente
    `void` | `setDateFrom(java.util.Date dateFrom)` Imposta la data di inizio dell'intervallo di ricerca.
    `void` | `setDateTo(java.util.Date dateTo)` Imposta la data di fine dell'intervallo di ricerca.
    `void` | `setOperations(java.util.List<java.lang.String> operations)` Imposta la lista delle operazioni di cui si vuole il log.
    `void` | `setPatientCode(java.lang.String patientCode)` Imposta il codice fiscale del paziente.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patientCode

          private java.lang.String patientCode

    - #### dateFrom

          private java.util.Date dateFrom

    - #### dateTo

          private java.util.Date dateTo

    - #### operations

          private java.util.List<java.lang.String> operations

  - ### Constructor Detail

    - #### AccessLogQuery

          public AccessLogQuery()

  - ### Method Detail

    - #### getPatientCode

          public java.lang.String getPatientCode()

      Restituisce il codice fiscale del paziente
      Returns:
        il codice fiscale del paziente

    - #### setPatientCode

          public void setPatientCode(java.lang.String patientCode)

      Imposta il codice fiscale del paziente. Parametro obbligatorio.
      Parameters:
        `patientCode` - il codice fiscale del paziente

    - #### getOperations

          public java.util.List<java.lang.String> getOperations()

      Restituisce la lista delle operazioni che si sta cercando. Queste coincidono con il nome del servizio richiamato.
      Returns:
        l'operazione

    - #### setOperations

          public void setOperations(java.util.List<java.lang.String> operations)

      Imposta la lista delle operazioni di cui si vuole il log. Parametro facoltativo. Queste coincidono con i nomi dei servizi richiamati:
      - addDocument
      - updateDocument
      - queryDocument
      - retrieveDocument
      - setAccessPolicies
      - getAccessPolicies
      - setReadingAgreement
      - setWritingAgreement
      - getReadingAgreement
      - qetWritingAgreement
      - blindDocument
      Parameters:
        `operations` - la lista delle operazioni

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Restituisce la data di inizio dell'intervallo di ricerca
      Returns:
        la data di inizio

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

      Imposta la data di inizio dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateFrom` - la data di inizio

    - #### getDateTo

          public java.util.Date getDateTo()

      Restituisce la data di fine dell'intervallo di ricerca
      Returns:
        la data di fine

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

      Imposta la data di fine dell'intervallo di ricerca. Parametro facoltativo.
      Parameters:
        `dateTo` - la data di fine